# pht\Vector::push

(PECL pht >= 0.0.1)

pht\Vector::push — Pushes a value to the vector

### Description

public pht\Vector::push ( mixed `$value` ) : void

This method pushes a value onto the end of a vector (in constant time). The vector will automatically be resized if it is not large enough.

Since the pht\Vector class supports array access, new values can also be pushed onto the vector using the empty subset notation ([]).

### Parameters

`value`

  The value to be pushed onto the end of the vector. This value will be serialised (since it may be passed around between threads).

### Return Values

No return value.

### Examples

Example #1 Pushing values to a vector

`<?php
use pht\Vector;
$vector = new Vector();
$vector->push(1);
$vector[] = 2;
var_dump($vector);`

The above example will output:

    object(pht\Vector)#1 (2) {
      [0]=>
      int(1)
      [1]=>
      int(2)
    }